# docker compose alpha generate

<!---MARKER_GEN_START-->
EXPERIMENTAL - Generate a Compose file from existing containers

### Options

| Name            | Type     | Default | Description                               |
|:----------------|:---------|:--------|:------------------------------------------|
| `--dry-run`     | `bool`   |         | Execute command in dry run mode           |
| `--format`      | `string` | `yaml`  | Format the output. Values: [yaml \| json] |
| `--name`        | `string` |         | Project name to set in the Compose file   |
| `--project-dir` | `string` |         | Directory to use for the project          |


<!---MARKER_GEN_END-->

